Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface ClusterValve

All Known Implementing Classes:
  ClusterSingleSignOn, JvmRouteBinderValve, ReplicationValve

public interface ClusterValve

Cluster Valve Interface to mark all Cluster Valves Only those Valve can'be configured as Cluster Valves

Version:
  $Revision: 466608 $, $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Peter Rossbach

Method Summary
`CatalinaCluster` | `getCluster()` Returns the cluster the cluster deployer is associated with
`void` | `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

Method Detail

### getCluster

    public CatalinaCluster getCluster()

  Returns the cluster the cluster deployer is associated with

  Returns:
    CatalinaCluster

### setCluster

    public void setCluster(CatalinaCluster cluster)

  Associates the cluster deployer with a cluster

  Parameters:
    `cluster` - CatalinaCluster

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.